Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.antialiasing
Interface Antialiasing

All Known Implementing Classes:
  MetropolisAntiAliasing, NoAntialiasing, StochasticSupersampling

    public interface Antialiasing

An implementation of this interface encapsulates a single antialiasing method that is based on prefiltering.

Author:
  Michael Tauer, Ole Kniemeyer

Method Summary
`void` | `appendStatistics(java.lang.StringBuffer stats)` Appends some statistics information about the antialiasing to `stats`.
`Antialiasing` | `dup(Scene scene)` Returns a clone of this `Antialiasing`.
`void` | `getColorOfRectangle(double x, double y, double width, double height, Color4f color, java.util.Random random)` This method has to return a color value determined for a given rectangular region on the image plane.
`void` | `initialize(PixelwiseRenderer renderer, Scene scene)` Initializes the antialiasing method using the data available through the `renderer`.
`void` | `setPixelXY(float x, float y)`

Method Detail

### appendStatistics

    void appendStatistics(java.lang.StringBuffer stats)

  Appends some statistics information about the antialiasing to `stats`. This method will be invoked after the whole rendering process has completed. It should also invoke `appendStatistics` on the ray processor.

  Parameters:
    `stats` - buffer for statistics information

### dup

    Antialiasing dup(Scene scene)

  Returns a clone of this `Antialiasing`. All constant variables are copied shallowly, state variables are newly created and copied where necessary.

  Parameters:
    `scene` - duplicate of scene
  Returns:
    clone of this antialiasing

### getColorOfRectangle

    void getColorOfRectangle(double x,
                             double y,
                             double width,
                             double height,
                             Color4f color,
                             java.util.Random random)

  This method has to return a color value determined for a given rectangular region on the image plane. The coordinates are understood as `uv` coordinates for the `Sensor` which represents the camera.

  Parameters:
    `x` - Describes the x position of the lower left corner of the rectangle.
    `y` - Describes the y position of the lower left corner of the rectangle.
    `width` - width of the rectangle
    `height` - height of the of the rectangle
    `color` - The determined color of the rectangle will be stored in this parameter.
    `random` - pseudorandom generator

### initialize

    void initialize(PixelwiseRenderer renderer,
                    Scene scene)

  Initializes the antialiasing method using the data available through the `renderer`.

  Parameters:
    `renderer` - the renderer which provides the needed information
    `scene` - the scene which is rendered

### setPixelXY

    void setPixelXY(float x,
                    float y)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD